# Interface DynamicPolygonPointFactoryHandler<Point>

Factory signature for creating instances of DynamicPolygonPoint (or of classes which derive from it.)

#### Type Parameters

- Point extends DynamicPolygonPoint

- DynamicPolygonPointFactoryHandler(
  api: BimCoreApi,
  plane: Plane,
  isVirtual: boolean,
  ): Point

  #### Parameters

  - api: BimCoreApi
  - plane: Plane
  - isVirtual: boolean

  #### Returns Point